<?php 


$lit = array('A','B','C','D','E');

foreach( $lit as $key => $L ){
	$l = strtolower($L);
	$warPW = "ProductWysszer".$L; 
	if( $this->rowProduct['product_wysszer'.$L] == 1 ){ 
?>

<script type="text/javascript" language="javascript">

	$(document).ready(function () {

		function changeWysszer<?php echo$L;?>(){
			var idProduct = <?php echo$this->idProduct;?>;
			var product_wysszer<?php echo$L;?>amount = $('[name="input_wysszer<?php echo$L;?>amount"]').val();

			$('a.changeProductWysszer<?php echo$L;?> > div').css('background-color','#ddd');
			$("a.changeProductWysszer<?php echo$L;?>[cmd='"+product_wysszer<?php echo$L;?>amount+"'] > div").css('background-color','none repeat scroll 0 0 rgb(242, 101, 34)');

			$('a.changeProductWysszer<?php echo$L;?> > div').css('display','inline');
			$("a.changeProductWysszer<?php echo$L;?>[cmd='"+product_wysszer<?php echo$L;?>amount+"'] > div").css('display','none');

			$( "#shopProduct" ).load( "<?php echo $this->url(array('controller' => 'product', 'action' => 'productshop'), 'default', true); ?>", {product_id: idProduct, product_wysszer<?php echo$L;?>amount: product_wysszer<?php echo$L;?>amount}, function(){$('#productTable').load( "<?php echo $this->url(array('controller' => 'product', 'action' => 'productshoptable'), 'default', true); ?>", {product_id: <?php echo$this->idProduct; ?>}, function(){} );} );	
		}


		$(function(){	
			var currentValue = $('[name="input_wysszer<?php echo$L;?>amount"]');	

			<?php if( $this->rowProduct['product_wysszer'.$L.'amount_def_only'] == 1 ){
				$valMap = '';
				foreach ( $this->$warPW as $key => $val ):
					$valMap = $valMap.$val['product_wysszer'.$l.'_value'].',';
				endforeach;
				echo'var valMap = ['.$valMap.'];';
			} ?>

			$("#product_wysszer<?php echo$L;?>amount").slider({ 
				value: <?php echo isset($this->dataSelect['product_wysszer'.$L.'amount'])?$this->dataSelect['product_wysszer'.$L.'amount']:$this->rowProduct['product_wysszer'.$L.'amount_default'];?>,
				max: <?php echo$this->rowProduct['product_wysszer'.$L.'amount_max'];?>,
				min: <?php echo$this->rowProduct['product_wysszer'.$L.'amount_min'];?>,
				change: function(event, ui) {
					currentValue.val(ui.value);
					changeWysszer<?php echo$L;?>();
				}
				<?php if( $this->rowProduct['product_wysszer'.$L.'amount_def_only'] == 1 ){
				echo',
				slide: function(event, ui) {
					return $.inArray(ui.value, valMap) != -1;
				}';
				} ?>
			});	
		});

		$('[name="input_wysszer<?php echo$L;?>amount"]').change(function(){
			if( $(this).val() < <?php echo$this->rowProduct['product_wysszer'.$L.'amount_min'];?> ){
				$(this).val(<?php echo$this->rowProduct['product_wysszer'.$L.'amount_min'];?>);
			}
			if( $(this).val() > <?php echo$this->rowProduct['product_wysszer'.$L.'amount_max'];?> ){
				$(this).val(<?php echo$this->rowProduct['product_wysszer'.$L.'amount_max'];?>);
			}
			$("#product_wysszer<?php echo$L;?>amount").slider( "value", $(this).val() );
		});
							
		$('#wysszer<?php echo$L;?>Hover, #wysszer<?php echo$L;?>Hover2').hover(function(){
			$('.wizualizacja').hide();
			$('#wysszer<?php echo$L; ?>').show();
		});

		changeWysszer<?php echo$L;?>();
	});

</script>	


<h4><?php if( $this->ProductFieldnameInfo['product_fieldname_wysszer'.$L.'_top'] != '' ) echo $this->ProductFieldnameInfo['product_fieldname_wysszer'.$L.'_top']; else echo @Lib_Lang::consta(front_configurator_wysszer.$L); ?></h4>

<table width="100%" class="tr12">
	<tr id="wysszer<?php echo$L;?>Hover">
		<td width="100px">
			<?php if( $this->ProductFieldnameInfo['product_fieldname_size_wysszer'.$L] != '' ) echo $this->ProductFieldnameInfo['product_fieldname_size_wysszer'.$L]; else echo @Lib_Lang::consta(front_configurator_wysszer.$L.amount); ?>:
			<br/><?php echo$this->rowProduct['product_wysszer'.$L.'amount_min'];?>-<?php echo$this->rowProduct['product_wysszer'.$L.'amount_max'];?>
		</td>
		<td width="60px"><input type="number" step="1" min="<?php echo$this->rowProduct['product_wysszer'.$L.'amount_min'];?>" max="<?php echo$this->rowProduct['product_wysszer'.$L.'amount_max'];?>" value="<?php echo isset($this->dataSelect['product_wysszer'.$L.'amount'])?$this->dataSelect['product_wysszer'.$L.'amount']:$this->rowProduct['product_wysszer'.$L.'amount_default'];?>" name="input_wysszer<?php echo$L;?>amount" style="width:60px;" <?php if( $this->rowProduct['product_wysszer'.$L.'amount_def_only'] == 1 ) echo' readonly="readonly"'; ?>/></td>
		<td>
			<div id="product_wysszer<?php echo$L;?>amount">
				<script type="text/javascript" language="javascript">
					$(document).ready(function () {	
						$('.changeProductWysszer<?php echo$L;?>').click(function(){
							var t = $(this).attr('cmd');
							$('[name="input_wysszer<?php echo$L;?>amount"]').val(t);
							$("#product_wysszer<?php echo$L;?>amount").slider( "value", t );
							//	changeSize();
						});	
					});
				</script>	


				<?php /*$i=0; foreach ( $this->$warPW as $key => $val ): $i++; ?>
					<a href="javascript:void(0);" cmd="<?php echo $val['product_wysszer'.$l.'_value']; ?>" class="changeProductWysszer<?php echo$L;?>"><div style="background-color: #ddd;border: 1px solid rgb(85, 85, 85);color: #555;height:19px;width:19px;border-radius:4px;margin-left:<?php $wartosc=($val['product_wysszer'.$l.'_value']-$this->rowProduct['product_wysszer'.$L.'amount_min'])*226/($this->rowProduct['product_wysszer'.$L.'amount_max']-$this->rowProduct['product_wysszer'.$L.'amount_min'])-9-$i; echo$wartosc; ?>px;margin-top:-5px;position:absolute;z-index:9900;"></div></a>
				<?php endforeach;*/ ?>
			</div>
		</td>
	</tr> 
	<tr id="wysszer<?php echo$L;?>Hover2">
		<td colspan="3" style="text-align:right;" class="marginBottomConfig">

			<?php if( $this->ProductFieldnameInfo['product_fieldname_size_wysszer'.$L.'stand'] != '' ) echo $this->ProductFieldnameInfo['product_fieldname_size_wysszer'.$L.'stand']; else echo @Lib_Lang::translate(front_configurator_standardP); ?>

			<?php foreach ( $this->$warPW as $key => $val ): ?>
				<a href="javascript:void(0);" cmd="<?php echo $val['product_wysszer'.$l.'_value']; ?>" class="changeProductWysszer<?php echo$L;?> standardSize"><?php echo $val['product_wysszer'.$l.'_value']; ?></a>
			<?php endforeach; ?>	

		</td>
	</tr>
</table>

<?php 
	}
} 
?>